# Christophe Blaess <http://www.blaess.fr/christophe/>, 1996-2003.
# Stéphan Rafin <stephan.rafin@laposte.net>, 2002.
# Thierry Vignaud <tvignaud@mandriva.com>, 1999, 2002.
# François Micaux, 2002.
# Alain Portal <aportal@univ-montp2.fr>, 2003-2008.
# Jean-Philippe Guérard <fevrier@tigreraye.org>, 2005-2006.
# Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, 2006-2007.
# Julien Cristau <julien.cristau@ens-lyon.org>, 2006-2007.
# Thomas Huriaux <thomas.huriaux@gmail.com>, 2006-2008.
# Nicolas François <nicolas.francois@centraliens.net>, 2006-2008.
# Florentin Duneau <fduneau@gmail.com>, 2006-2010.
# Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, 2006.
# Denis Barbier <bouzim@gmail.com>, 2006, 2010.
# David Prévot <david@tilapin.org>, 2010-2014.
msgid ""
msgstr ""
"Project-Id-Version: perkamon\n"
"POT-Creation-Date: 2014-10-25 15:59+0200\n"
"PO-Revision-Date: 2014-07-14 20:05-0400\n"
"Last-Translator: David Prévot <david@tilapin.org>\n"
"Language-Team: French <perkamon-fr@traduc.org>\n"
"Language: fr\n"
"MIME-Version: 1.0\n"
"Content-Type: text/plain; charset=UTF-8\n"
"Content-Transfer-Encoding: 8bit\n"
"X-Generator: Lokalize 1.5\n"
"Plural-Forms: nplurals=2; plural=(n > 1);\n"

#. type: TH
#: build/C/man3/closedir.3:1
#, no-wrap
msgid "CLOSEDIR"
msgstr "CLOSEDIR"

#. type: TH
#: build/C/man3/closedir.3:2
#, no-wrap
msgid "2008-09-23"
msgstr "23 septembre 2008"

#. type: TH
#: build/C/man3/closedir.3:3 build/C/man3/dirfd.3:4 build/C/man2/getdents.2:4
#: build/C/man3/getdirentries.3:4 build/C/man3/opendir.3:4
#: build/C/man2/readdir.2:4 build/C/man3/readdir.3:3
#: build/C/man3/rewinddir.3:3 build/C/man3/scandir.3:4
#: build/C/man3/seekdir.3:3 build/C/man3/telldir.3:3
#, no-wrap
msgid "Linux Programmer's Manual"
msgstr "Manuel du programmeur Linux"

#. type: SH
#: build/C/man3/closedir.3:4 build/C/man3/dirfd.3:5 build/C/man2/getdents.2:5
#: build/C/man3/getdirentries.3:5 build/C/man3/opendir.3:5
#: build/C/man2/readdir.2:5 build/C/man3/readdir.3:4
#: build/C/man3/rewinddir.3:4 build/C/man3/scandir.3:5
#: build/C/man3/seekdir.3:4 build/C/man3/telldir.3:4
#, no-wrap
msgid "NAME"
msgstr "NOM"

#. type: Plain text
#: build/C/man3/closedir.3:5
msgid "closedir - close a directory"
msgstr "closedir - Fermer un répertoire"

#. type: SH
#: build/C/man3/closedir.3:6 build/C/man3/dirfd.3:7 build/C/man2/getdents.2:7
#: build/C/man3/getdirentries.3:7 build/C/man3/opendir.3:7
#: build/C/man2/readdir.2:7 build/C/man3/readdir.3:6
#: build/C/man3/rewinddir.3:6 build/C/man3/scandir.3:7
#: build/C/man3/seekdir.3:6 build/C/man3/telldir.3:6
#, no-wrap
msgid "SYNOPSIS"
msgstr "SYNOPSIS"

#. type: Plain text
#: build/C/man3/closedir.3:7 build/C/man3/opendir.3:8
#: build/C/man3/rewinddir.3:7
#, no-wrap
msgid "B<#include E<lt>sys/types.hE<gt>>\n"
msgstr "B<#include E<lt>sys/types.hE<gt>>\n"

#. type: Plain text
#: build/C/man3/closedir.3:8 build/C/man3/opendir.3:9 build/C/man3/readdir.3:7
#: build/C/man3/rewinddir.3:8 build/C/man3/scandir.3:8
#: build/C/man3/seekdir.3:7 build/C/man3/telldir.3:7
#, no-wrap
msgid "B<#include E<lt>dirent.hE<gt>>\n"
msgstr "B<#include E<lt>dirent.hE<gt>>\n"

#. type: Plain text
#: build/C/man3/closedir.3:9
#, no-wrap
msgid "B<int closedir(DIR *>I<dirp>B<);>\n"
msgstr "B<int closedir(DIR *>I<dirp>B<);>\n"

#. type: SH
#: build/C/man3/closedir.3:10 build/C/man3/dirfd.3:16
#: build/C/man2/getdents.2:10 build/C/man3/getdirentries.3:12
#: build/C/man3/opendir.3:17 build/C/man2/readdir.2:10
#: build/C/man3/readdir.3:13 build/C/man3/rewinddir.3:10
#: build/C/man3/scandir.3:23 build/C/man3/seekdir.3:11
#: build/C/man3/telldir.3:11
#, no-wrap
msgid "DESCRIPTION"
msgstr "DESCRIPTION"

#. type: Plain text
#: build/C/man3/closedir.3:11
msgid ""
"The B<closedir>()  function closes the directory stream associated with "
"I<dirp>.  A successful call to B<closedir>()  also closes the underlying "
"file descriptor associated with I<dirp>.  The directory stream descriptor "
"I<dirp> is not available after this call."
msgstr ""
"La fonction B<closedir>() ferme le flux du répertoire associé à I<dirp>. Un "
"appel réussi à B<closedir>() ferme aussi le descripteur de fichier sous-"
"jacent associé à I<dirp>. Après cet appel, le descripteur I<dirp> du flux du "
"répertoire n'est plus disponible."

#. type: SH
#: build/C/man3/closedir.3:12 build/C/man3/dirfd.3:19
#: build/C/man2/getdents.2:36 build/C/man3/getdirentries.3:14
#: build/C/man3/opendir.3:20 build/C/man2/readdir.2:16
#: build/C/man3/readdir.3:20 build/C/man3/rewinddir.3:12
#: build/C/man3/scandir.3:32 build/C/man3/seekdir.3:13
#: build/C/man3/telldir.3:13
#, no-wrap
msgid "RETURN VALUE"
msgstr "VALEUR RENVOYÉE"

#. type: Plain text
#: build/C/man3/closedir.3:13
msgid ""
"The B<closedir>()  function returns 0 on success.  On error, -1 is returned, "
"and I<errno> is set appropriately."
msgstr ""
"En cas de succès, la fonction B<closedir>() renvoie 0. En cas d'erreur, -1 "
"est renvoyé et I<errno> est définie en conséquence."

#. type: SH
#: build/C/man3/closedir.3:14 build/C/man3/dirfd.3:21
#: build/C/man2/getdents.2:38 build/C/man3/getdirentries.3:16
#: build/C/man3/opendir.3:22 build/C/man2/readdir.2:18
#: build/C/man3/readdir.3:23 build/C/man3/scandir.3:35
#: build/C/man3/telldir.3:15
#, no-wrap
msgid "ERRORS"
msgstr "ERREURS"

#. type: TP
#: build/C/man3/closedir.3:15 build/C/man2/getdents.2:39
#: build/C/man3/opendir.3:25 build/C/man2/readdir.2:19
#: build/C/man3/readdir.3:24 build/C/man3/scandir.3:43
#: build/C/man3/telldir.3:16
#, no-wrap
msgid "B<EBADF>"
msgstr "B<EBADF>"

#. type: Plain text
#: build/C/man3/closedir.3:16 build/C/man3/readdir.3:25
#: build/C/man3/telldir.3:17
msgid "Invalid directory stream descriptor I<dirp>."
msgstr "Le descripteur de flux du répertoire, I<dirp>, n'est pas valable."

#. type: SH
#: build/C/man3/closedir.3:17 build/C/man3/dirfd.3:30
#: build/C/man2/getdents.2:49 build/C/man3/getdirentries.3:21
#: build/C/man3/opendir.3:39 build/C/man2/readdir.2:29
#: build/C/man3/readdir.3:30 build/C/man3/rewinddir.3:17
#: build/C/man3/scandir.3:50 build/C/man3/seekdir.3:18
#: build/C/man3/telldir.3:21
#, no-wrap
msgid "CONFORMING TO"
msgstr "CONFORMITÉ"

#. type: Plain text
#: build/C/man3/closedir.3:18
msgid "SVr4, POSIX.1-2001, 4.3BSD."
msgstr "SVr4, POSIX.1-2001, BSD 4.3."

#. type: SH
#: build/C/man3/closedir.3:19 build/C/man3/dirfd.3:34
#: build/C/man2/getdents.2:69 build/C/man3/getdirentries.3:23
#: build/C/man3/opendir.3:44 build/C/man2/readdir.2:34
#: build/C/man3/readdir.3:57 build/C/man3/rewinddir.3:19
#: build/C/man3/scandir.3:59 build/C/man3/seekdir.3:22
#: build/C/man3/telldir.3:26
#, no-wrap
msgid "SEE ALSO"
msgstr "VOIR AUSSI"

#. type: Plain text
#: build/C/man3/closedir.3:20
msgid ""
"B<close>(2), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), B<scandir>(3), "
"B<seekdir>(3), B<telldir>(3)"
msgstr ""
"B<close>(2), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), B<scandir>(3), "
"B<seekdir>(3), B<telldir>(3)"

#. type: SH
#: build/C/man3/closedir.3:21 build/C/man3/dirfd.3:36
#: build/C/man2/getdents.2:71 build/C/man3/getdirentries.3:25
#: build/C/man3/opendir.3:46 build/C/man2/readdir.2:36
#: build/C/man3/readdir.3:59 build/C/man3/rewinddir.3:21
#: build/C/man3/scandir.3:61 build/C/man3/seekdir.3:24
#: build/C/man3/telldir.3:28
#, no-wrap
msgid "COLOPHON"
msgstr "COLOPHON"

#. type: Plain text
#: build/C/man3/closedir.3:22 build/C/man3/dirfd.3:37
#: build/C/man2/getdents.2:72 build/C/man3/getdirentries.3:26
#: build/C/man3/opendir.3:47 build/C/man2/readdir.2:37
#: build/C/man3/readdir.3:60 build/C/man3/rewinddir.3:22
#: build/C/man3/scandir.3:62 build/C/man3/seekdir.3:25
#: build/C/man3/telldir.3:29
msgid ""
"This page is part of release 4.13 of the Linux I<man-pages> project.  A "
"description of the project, information about reporting bugs, and the latest "
"version of this page, can be found at \\%http://www.kernel.org/doc/man-"
"pages/."
msgstr ""
"Cette page fait partie de la publication 4.13 du projet I<man-pages> Linux. "
"Une description du projet et des instructions pour signaler des anomalies "
"peuvent être trouvées à l'adresse \\%http://www.kernel.org/doc/man-pages/."

#. type: TH
#: build/C/man3/dirfd.3:1
#, no-wrap
msgid "DIRFD"
msgstr "DIRFD"

#. type: TH
#: build/C/man3/dirfd.3:2
#, no-wrap
msgid "2013-07-05"
msgstr "5 juillet 2013"

#. type: TH
#: build/C/man3/dirfd.3:3 build/C/man2/getdents.2:3 build/C/man2/readdir.2:3
#, no-wrap
msgid "Linux"
msgstr "Linux"

#. type: Plain text
#: build/C/man3/dirfd.3:6
msgid "dirfd - get directory stream file descriptor"
msgstr "dirfd - Obtenir un descripteur de fichier d'un répertoire"

#. type: Plain text
#: build/C/man3/dirfd.3:8
msgid "B<#include E<lt>sys/types.hE<gt>>"
msgstr "B<#include E<lt>sys/types.hE<gt>>"

#. type: Plain text
#: build/C/man3/dirfd.3:9 build/C/man3/getdirentries.3:8
msgid "B<#include E<lt>dirent.hE<gt>>"
msgstr "B<#include E<lt>dirent.hE<gt>>"

#. type: Plain text
#: build/C/man3/dirfd.3:10
msgid "B<int dirfd(DIR *>I<dirp>B<);>"
msgstr "B<int dirfd(DIR *>I<dirp>B<);>"

#. type: Plain text
#: build/C/man3/dirfd.3:11 build/C/man3/getdirentries.3:10
#: build/C/man3/opendir.3:11 build/C/man3/readdir.3:10
#: build/C/man3/scandir.3:16 build/C/man3/seekdir.3:9 build/C/man3/telldir.3:9
msgid ""
"Feature Test Macro Requirements for glibc (see B<feature_test_macros>(7)):"
msgstr ""
"Exigences de macros de test de fonctionnalités pour la glibc (consultez "
"B<feature_test_macros>(7)) :"

#. type: Plain text
#: build/C/man3/dirfd.3:12
msgid "B<dirfd>():"
msgstr "B<dirfd>() :"

#. type: Plain text
#: build/C/man3/dirfd.3:13 build/C/man3/scandir.3:18
msgid "_BSD_SOURCE || _SVID_SOURCE"
msgstr "_BSD_SOURCE || _SVID_SOURCE"

#. type: Plain text
#: build/C/man3/dirfd.3:14 build/C/man3/scandir.3:19
msgid "|| /* Since glibc 2.10: */"
msgstr "|| /* Depuis la glibc 2.10 : */"

#. type: Plain text
#: build/C/man3/dirfd.3:15 build/C/man3/scandir.3:20
msgid "(_POSIX_C_SOURCE\\ E<gt>=\\ 200809L || _XOPEN_SOURCE\\ E<gt>=\\ 700)"
msgstr "(_POSIX_C_SOURCE\\ E<gt>=\\ 200809L || _XOPEN_SOURCE\\ E<gt>=\\ 700)"

#. type: Plain text
#: build/C/man3/dirfd.3:17
msgid ""
"The function B<dirfd>()  returns the file descriptor associated with the "
"directory stream I<dirp>."
msgstr ""
"La fonction B<dirfd>() renvoie le descripteur de fichier associé au flux du "
"répertoire I<dirp>."

#. type: Plain text
#: build/C/man3/dirfd.3:18
msgid ""
"This descriptor is the one used internally by the directory stream.  As a "
"result, it is useful only for functions which do not depend on or alter the "
"file position, such as B<fstat>(2)  and B<fchdir>(2).  It will be "
"automatically closed when B<closedir>(3)  is called."
msgstr ""
"Ce descripteur est celui qui utilisé en interne par le flux du répertoire. "
"Il est donc seulement utile pour les fonctions qui ne dépendent pas ou "
"n'altèrent pas la position du fichier, comme B<fstat>(2) et B<fchdir>(2). Il "
"est automatiquement fermé lorsque B<closedir>(3) est appelée."

#. type: Plain text
#: build/C/man3/dirfd.3:20
msgid ""
"On success, a nonnegative file descriptor is returned.  On error, -1 is "
"returned, and I<errno> is set to indicate the cause of the error."
msgstr ""
"Si elle réussit, cette fonction renvoie un descripteur de fichier non "
"négatif. En cas d'erreur, -1 est renvoyé, et I<errno> contient le code "
"d'erreur."

#.  glibc 2.8
#. type: Plain text
#: build/C/man3/dirfd.3:22
msgid ""
"POSIX.1-2008 specifies two errors, neither of which is returned by the "
"current implementation."
msgstr ""
"POSIX.1.2008 définit deux erreurs, aucune d'elles n'est retournée par "
"l'implémentation actuelle."

#. type: TP
#: build/C/man3/dirfd.3:23 build/C/man2/getdents.2:43
#: build/C/man2/readdir.2:23
#, no-wrap
msgid "B<EINVAL>"
msgstr "B<EINVAL>"

#. type: Plain text
#: build/C/man3/dirfd.3:24
msgid "I<dirp> does not refer to a valid directory stream."
msgstr "I<dirp> ne fait pas référence à un flux répertoire valable."

#. type: TP
#: build/C/man3/dirfd.3:25
#, no-wrap
msgid "B<ENOTSUP>"
msgstr "B<ENOTSUP>"

#. type: Plain text
#: build/C/man3/dirfd.3:26
msgid ""
"The implementation does not support the association of a file descriptor "
"with a directory."
msgstr ""
"L'implémentation ne gère pas l'association d'un descripteur de fichier avec "
"un répertoire."

#. type: SH
#: build/C/man3/dirfd.3:27 build/C/man3/getdirentries.3:18
#: build/C/man3/readdir.3:26 build/C/man3/rewinddir.3:14
#: build/C/man3/seekdir.3:15 build/C/man3/telldir.3:18
#, no-wrap
msgid "ATTRIBUTES"
msgstr "ATTRIBUTS"

#. type: SS
#: build/C/man3/dirfd.3:28 build/C/man3/getdirentries.3:19
#: build/C/man3/readdir.3:27 build/C/man3/rewinddir.3:15
#: build/C/man3/seekdir.3:16 build/C/man3/telldir.3:19
#, no-wrap
msgid "Multithreading (see pthreads(7))"
msgstr "Multithreading (voir pthreads(7))"

#. type: Plain text
#: build/C/man3/dirfd.3:29
msgid "The B<dirfd>()  function is thread-safe."
msgstr "La fonction B<dirfd>() est sûre dans un contexte multithread."

#.  It is present in libc5 (since 5.1.2) and in glibc2.
#. type: Plain text
#: build/C/man3/dirfd.3:31
msgid ""
"POSIX.1-2008.  This function was a BSD extension, present in 4.3BSD-Reno, "
"not in 4.2BSD."
msgstr ""
"POSIX.1.2008. Cette fonction est une extension BSD\\ ; présente dans 4.3BSD."
"Reno, non présente dans 4.2BSD."

#. type: SH
#: build/C/man3/dirfd.3:32 build/C/man2/getdents.2:51
#: build/C/man3/opendir.3:41 build/C/man2/readdir.2:31
#: build/C/man3/readdir.3:32 build/C/man3/scandir.3:53
#: build/C/man3/seekdir.3:20 build/C/man3/telldir.3:23
#, no-wrap
msgid "NOTES"
msgstr "NOTES"

#. type: Plain text
#: build/C/man3/dirfd.3:33
msgid ""
"The prototype for B<dirfd>()  is available only if B<_BSD_SOURCE> or "
"B<_SVID_SOURCE> is defined."
msgstr ""
"Le prototype de B<dirfd>() n'est disponible que si B<_BSD_SOURCE> ou "
"B<_SVID_SOURCE> est définie."

#. type: Plain text
#: build/C/man3/dirfd.3:35
msgid ""
"B<open>(2), B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3), B<telldir>(3)"
msgstr ""
"B<open>(2), B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3), B<telldir>(3)"

#. type: TH
#: build/C/man2/getdents.2:1
#, no-wrap
msgid "GETDENTS"
msgstr "GETDENTS"

#. type: TH
#: build/C/man2/getdents.2:2
#, no-wrap
msgid "2012-08-03"
msgstr "3 août 2012"

#. type: Plain text
#: build/C/man2/getdents.2:6
msgid "getdents - get directory entries"
msgstr "getdents - Obtenir les points d'entrée d'un répertoire"

#. type: Plain text
#: build/C/man2/getdents.2:8
#, no-wrap
msgid ""
"B<int getdents(unsigned int >I<fd>B<, struct linux_dirent *>I<dirp>B<,>\n"
"B<             unsigned int >I<count>B<);>\n"
msgstr ""
"B<int getdents(unsigned int >I<fd>B<, struct linux_dirent *>I<dirp>B<,>\n"
"B<             unsigned int >I<count>B<);>\n"

#. type: Plain text
#: build/C/man2/getdents.2:9 build/C/man2/readdir.2:9
msgid "I<Note>: There is no glibc wrapper for this system call; see NOTES."
msgstr ""
"I<Remarque> : il n'existe pas de fonction glibc autour de cet appel "
"système ; consultez B<NOTES>."

#. type: Plain text
#: build/C/man2/getdents.2:11
msgid ""
"This is not the function you are interested in.  Look at B<readdir>(3)  for "
"the POSIX conforming C library interface.  This page documents the bare "
"kernel system call interface."
msgstr ""
"Ce n'est pas la fonction qui vous intéresse. Veuillez regarder B<readdir>(3) "
"pour l'interface de la fonction de même nom de la bibliothèque C conforme à "
"la spécification POSIX. Cette page documente l'interface de l'appel système "
"du noyau."

#. type: Plain text
#: build/C/man2/getdents.2:12
msgid ""
"The system call B<getdents>()  reads several I<linux_dirent> structures from "
"the directory referred to by the open file descriptor I<fd> into the buffer "
"pointed to by I<dirp>.  The argument I<count> specifies the size of that "
"buffer."
msgstr ""
"L'appel système B<getdents>() lit plusieurs structures I<linux_dirent> "
"depuis le répertoire référencé par le descripteur de fichier ouvert I<fd> et "
"les place dans la zone de mémoire pointée par I<dirp>. Le paramètre I<count> "
"spécifie la taille de cette zone mémoire."

#. type: Plain text
#: build/C/man2/getdents.2:13
msgid "The I<linux_dirent> structure is declared as follows:"
msgstr "La structure I<linux_dirent> est déclarée comme ceci\\ :"

#. type: Plain text
#: build/C/man2/getdents.2:14
#, no-wrap
msgid ""
"struct linux_dirent {\n"
"    unsigned long  d_ino;     /* Inode number */\n"
"    unsigned long  d_off;     /* Offset to next I<linux_dirent> */\n"
"    unsigned short d_reclen;  /* Length of this I<linux_dirent> */\n"
"    char           d_name[];  /* Filename (null-terminated) */\n"
"                      /* length is actually (d_reclen - 2 -\n"
"                         offsetof(struct linux_dirent, d_name)) */\n"
"    /*\n"
"    char           pad;       // Zero padding byte\n"
"    char           d_type;    // File type (only since Linux\n"
"                              // 2.6.4); offset is (d_reclen - 1)\n"
"    */\n"
msgstr ""
"struct linux_dirent {\n"
"    unsigned long  d_ino;     /* Numéro d'inœud */\n"
"    unsigned long  d_off;     /* Distance au prochain I<linux_dirent> */\n"
"    unsigned short d_reclen;  /* Longueur de ce I<linux_dirent> */\n"
"    char           d_name[];  /* Nom de fichier (fini par 0) */\n"
"                        /* La longueur est en fait (d_reclen - 2 -\n"
"                           offsetof(struct linux_dirent, d_name)) */\n"
"    /*\n"
"    char           pad;       // Octet nul de remplissage\n"
"    char           d_type;    // Type de fichier (seulement depuis\n"
"                              // Linux 2.6.4) ; sa position est\n"
"                              // (d_reclen - 1)\n"
"    */\n"

#. type: Plain text
#: build/C/man2/getdents.2:15
#, no-wrap
msgid "}\n"
msgstr "}\n"

#. type: Plain text
#: build/C/man2/getdents.2:16
msgid ""
"I<d_ino> is an inode number.  I<d_off> is the distance from the start of the "
"directory to the start of the next I<linux_dirent>.  I<d_reclen> is the size "
"of this entire I<linux_dirent>.  I<d_name> is a null-terminated filename."
msgstr ""
"I<d_ino> est un numéro d'inœud. I<d_off> est la distance entre le début du "
"répertoire et le début de la prochaine structure I<linux_dirent>. "
"I<d_reclen> est la taille complète de I<linux_dirent>. I<d_name> est le nom "
"de fichier terminé par un caractère nul."

#. type: Plain text
#: build/C/man2/getdents.2:17
msgid ""
"I<d_type> is a byte at the end of the structure that indicates the file "
"type.  It contains one of the following values (defined in I<E<lt>dirent."
"hE<gt>>):"
msgstr ""
"I<d_type> est un octet placé à la fin de la structure qui indique le type du "
"fichier. Il contient l'une des valeurs suivantes (définies dans "
"I<E<lt>dirent.hE<gt>>) :"

#. type: TP
#: build/C/man2/getdents.2:18 build/C/man3/readdir.3:36
#, no-wrap
msgid "B<DT_BLK>"
msgstr "B<DT_BLK>"

#. type: Plain text
#: build/C/man2/getdents.2:19 build/C/man3/readdir.3:37
msgid "This is a block device."
msgstr "Il s'agit d'un périphérique bloc."

#. type: TP
#: build/C/man2/getdents.2:20 build/C/man3/readdir.3:38
#, no-wrap
msgid "B<DT_CHR>"
msgstr "B<DT_CHR>"

#. type: Plain text
#: build/C/man2/getdents.2:21 build/C/man3/readdir.3:39
msgid "This is a character device."
msgstr "Il s'agit d'un périphérique caractère."

#. type: TP
#: build/C/man2/getdents.2:22 build/C/man3/readdir.3:40
#, no-wrap
msgid "B<DT_DIR>"
msgstr "B<DT_DIR>"

#. type: Plain text
#: build/C/man2/getdents.2:23 build/C/man3/readdir.3:41
msgid "This is a directory."
msgstr "Il s'agit d'un répertoire"

#. type: TP
#: build/C/man2/getdents.2:24 build/C/man3/readdir.3:42
#, no-wrap
msgid "B<DT_FIFO>"
msgstr "B<DT_FIFO>"

#. type: Plain text
#: build/C/man2/getdents.2:25 build/C/man3/readdir.3:43
msgid "This is a named pipe (FIFO)."
msgstr "Il s'agit d'un tube nommé (FIFO)."

#. type: TP
#: build/C/man2/getdents.2:26 build/C/man3/readdir.3:44
#, no-wrap
msgid "B<DT_LNK>"
msgstr "B<DT_LNK>"

#. type: Plain text
#: build/C/man2/getdents.2:27 build/C/man3/readdir.3:45
msgid "This is a symbolic link."
msgstr "Il s'agit d'un lien symbolique."

#. type: TP
#: build/C/man2/getdents.2:28 build/C/man3/readdir.3:46
#, no-wrap
msgid "B<DT_REG>"
msgstr "B<DT_REG>"

#. type: Plain text
#: build/C/man2/getdents.2:29 build/C/man3/readdir.3:47
msgid "This is a regular file."
msgstr "Il s'agit d'un fichier ordinaire."

#. type: TP
#: build/C/man2/getdents.2:30 build/C/man3/readdir.3:48
#, no-wrap
msgid "B<DT_SOCK>"
msgstr "B<DT_SOCK>"

#. type: Plain text
#: build/C/man2/getdents.2:31 build/C/man3/readdir.3:49
msgid "This is a UNIX domain socket."
msgstr "Il s'agit d'une socket de domaine UNIX."

#. type: TP
#: build/C/man2/getdents.2:32 build/C/man3/readdir.3:50
#, no-wrap
msgid "B<DT_UNKNOWN>"
msgstr "B<DT_UNKNOWN>"

#.  The glibc manual says that on some systems this is the only
#.  value returned
#. type: Plain text
#: build/C/man2/getdents.2:33 build/C/man3/readdir.3:51
msgid "The file type is unknown."
msgstr "Le type du fichier est inconnu."

#. type: Plain text
#: build/C/man2/getdents.2:34
msgid ""
"The I<d_type> field is implemented since Linux 2.6.4.  It occupies a space "
"that was previously a zero-filled padding byte in the I<linux_dirent> "
"structure.  Thus, on kernels before 2.6.3, attempting to access this field "
"always provides the value 0 (B<DT_UNKNOWN>)."
msgstr ""
"Le champ I<d_type> est implémenté depuis Linux 2.6.4. Il occupe un espace "
"qui était auparavant un octet de remplissage rempli par des zéros dans la "
"structure I<linux_dirent>. Ainsi, sur les noyaux antérieurs à 2.6.3, les "
"accès à ce champ fournissent toujours la valeur 0 (B<DT_UNKNOWN>)."

#.  kernel 2.6.27
#.  The same sentence is in getdents.2
#. type: Plain text
#: build/C/man2/getdents.2:35 build/C/man3/readdir.3:53
msgid ""
"Currently, only some filesystems (among them: Btrfs, ext2, ext3, and ext4)  "
"have full support for returning the file type in I<d_type>.  All "
"applications must properly handle a return of B<DT_UNKNOWN>."
msgstr ""
"Actuellement, seuls certains systèmes de fichiers (parmi lesquels Btrfs, "
"ext2, ext3 et ext4) prennent complètement en charge le renvoi du type de "
"fichier dans I<d_type>. Toutes les applications doivent gérer correctement "
"une valeur de retour valant B<DT_UNKNOWN>."

#. type: Plain text
#: build/C/man2/getdents.2:37
msgid ""
"On success, the number of bytes read is returned.  On end of directory, 0 is "
"returned.  On error, -1 is returned, and I<errno> is set appropriately."
msgstr ""
"B<getdents> renvoie le nombre d'octets lus s'il réussit (0 en fin de "
"répertoire), ou -1 s'il échoue, auquel cas I<errno> contient le code "
"d'erreur."

#. type: Plain text
#: build/C/man2/getdents.2:40 build/C/man2/readdir.2:20
msgid "Invalid file descriptor I<fd>."
msgstr "I<fd> n'est pas un descripteur de fichier valable."

#. type: TP
#: build/C/man2/getdents.2:41 build/C/man2/readdir.2:21
#, no-wrap
msgid "B<EFAULT>"
msgstr "B<EFAULT>"

#. type: Plain text
#: build/C/man2/getdents.2:42 build/C/man2/readdir.2:22
msgid "Argument points outside the calling process's address space."
msgstr ""
"L'argument pointe en dehors de l'espace d'adressage du processus appelant."

#. type: Plain text
#: build/C/man2/getdents.2:44 build/C/man2/readdir.2:24
msgid "Result buffer is too small."
msgstr "Le tampon de résultat est trop petit."

#. type: TP
#: build/C/man2/getdents.2:45 build/C/man3/opendir.3:31
#: build/C/man2/readdir.2:25 build/C/man3/scandir.3:36
#, no-wrap
msgid "B<ENOENT>"
msgstr "B<ENOENT>"

#. type: Plain text
#: build/C/man2/getdents.2:46 build/C/man2/readdir.2:26
msgid "No such directory."
msgstr "Répertoire inexistant."

#. type: TP
#: build/C/man2/getdents.2:47 build/C/man3/opendir.3:35
#: build/C/man2/readdir.2:27 build/C/man3/scandir.3:40
#: build/C/man3/scandir.3:45
#, no-wrap
msgid "B<ENOTDIR>"
msgstr "B<ENOTDIR>"

#. type: Plain text
#: build/C/man2/getdents.2:48 build/C/man2/readdir.2:28
msgid "File descriptor does not refer to a directory."
msgstr "Le descripteur de fichier ne pointe pas sur un répertoire."

#.  SVr4 documents additional ENOLINK, EIO error conditions.
#. type: Plain text
#: build/C/man2/getdents.2:50
msgid "SVr4."
msgstr "SVr4."

#. type: Plain text
#: build/C/man2/getdents.2:52
msgid ""
"Glibc does not provide a wrapper for this system call; call it using "
"B<syscall>(2).  You will need to define the I<linux_dirent> structure "
"yourself.  However, you probably want to use B<readdir>(3)  instead."
msgstr ""
"La glibc ne fournit pas de fonction autour de cet appel système\\ ; vous "
"devez utiliser B<syscall>(2) pour l'appeler. Vous devrez définir la "
"structure I<linux_dirent> vous-même. Cependant, B<readdir>(3) peut "
"avantageusement être utilisé à la place."

#. type: Plain text
#: build/C/man2/getdents.2:53
msgid "This call supersedes B<readdir>(2)."
msgstr "Cette fonction remplace B<readdir>(2)."

#. type: Plain text
#: build/C/man2/getdents.2:54
msgid ""
"The original Linux B<getdents>()  system call did not handle large "
"filesystems and large file offsets.  Consequently, Linux 2.4 added "
"B<getdents64>(), with wider types for the I<d_ino> and I<d_off> fields "
"employed in the I<linux_dirent> structure."
msgstr ""
"L'appel système B<getdents>() original de Linux ne permettait pas de gérer "
"les gros fichiers et les positions dans les gros fichiers. En conséquence, "
"Linux 2.4 a ajouté B<getdents64>(), avec un type élargi pour les champs "
"I<d_ino> et I<d_off> de la structure I<linux_dirent>."

#. type: SH
#: build/C/man2/getdents.2:55 build/C/man3/scandir.3:55
#, no-wrap
msgid "EXAMPLE"
msgstr "EXEMPLE"

#.  FIXME The example program needs to be revised, since it uses the older
#.  getdents() system call and the structure with smaller field widths.
#. type: Plain text
#: build/C/man2/getdents.2:56
msgid ""
"The program below demonstrates the use of B<getdents>().  The following "
"output shows an example of what we see when running this program on an ext2 "
"directory:"
msgstr ""
"Le programme ci-dessous démontre l'utilisation de B<getdents>(). La sortie "
"suivante montre un exemple de ce que donne le programme sur une répertoire "
"ext2 :"

#. type: Plain text
#: build/C/man2/getdents.2:57
#, no-wrap
msgid ""
"$B< ./a.out /testfs/>\n"
"--------------- nread=120 ---------------\n"
"i-node#  file type  d_reclen  d_off   d_name\n"
"       2  directory    16         12  .\n"
"       2  directory    16         24  ..\n"
"      11  directory    24         44  lost+found\n"
"      12  regular      16         56  a\n"
"  228929  directory    16         68  sub\n"
"   16353  directory    16         80  sub2\n"
"  130817  directory    16       4096  sub3\n"
msgstr ""
"$B< ./a.out /testfs/>\n"
"--------------- nread=120 ---------------\n"
"i-node#  file type  d_reclen  d_off   d_name\n"
"       2  directory    16         12  .\n"
"       2  directory    16         24  ..\n"
"      11  directory    24         44  lost+found\n"
"      12  regular      16         56  a\n"
"  228929  directory    16         68  sub\n"
"   16353  directory    16         80  sub2\n"
"  130817  directory    16       4096  sub3\n"

#. type: SS
#: build/C/man2/getdents.2:58
#, no-wrap
msgid "Program source"
msgstr "Source du programme"

#. type: Plain text
#: build/C/man2/getdents.2:59
#, no-wrap
msgid ""
"#define _GNU_SOURCE\n"
"#include E<lt>dirent.hE<gt>     /* Defines DT_* constants */\n"
"#include E<lt>fcntl.hE<gt>\n"
"#include E<lt>stdio.hE<gt>\n"
"#include E<lt>unistd.hE<gt>\n"
"#include E<lt>stdlib.hE<gt>\n"
"#include E<lt>sys/stat.hE<gt>\n"
"#include E<lt>sys/syscall.hE<gt>\n"
msgstr ""
"#define _GNU_SOURCE\n"
"#include E<lt>dirent.hE<gt>     /* Définie les constantes DT_* */\n"
"#include E<lt>fcntl.hE<gt>\n"
"#include E<lt>stdio.hE<gt>\n"
"#include E<lt>unistd.hE<gt>\n"
"#include E<lt>stdlib.hE<gt>\n"
"#include E<lt>sys/stat.hE<gt>\n"
"#include E<lt>sys/syscall.hE<gt>\n"

#. type: Plain text
#: build/C/man2/getdents.2:60
#, no-wrap
msgid ""
"#define handle_error(msg) \\e\n"
"        do { perror(msg); exit(EXIT_FAILURE); } while (0)\n"
msgstr ""
"#define handle_error(msg) \\e\n"
"        do { perror(msg); exit(EXIT_FAILURE); } while (0)\n"

#. type: Plain text
#: build/C/man2/getdents.2:61
#, no-wrap
msgid ""
"struct linux_dirent {\n"
"    long           d_ino;\n"
"    off_t          d_off;\n"
"    unsigned short d_reclen;\n"
"    char           d_name[];\n"
"};\n"
msgstr ""
"struct linux_dirent {\n"
"    long           d_ino;\n"
"    off_t          d_off;\n"
"    unsigned short d_reclen;\n"
"    char           d_name[];\n"
"};\n"

#. type: Plain text
#: build/C/man2/getdents.2:62
#, no-wrap
msgid "#define BUF_SIZE 1024\n"
msgstr "#define BUF_SIZE 1024\n"

#. type: Plain text
#: build/C/man2/getdents.2:63
#, no-wrap
msgid ""
"int\n"
"main(int argc, char *argv[])\n"
"{\n"
"    int fd, nread;\n"
"    char buf[BUF_SIZE];\n"
"    struct linux_dirent *d;\n"
"    int bpos;\n"
"    char d_type;\n"
msgstr ""
"int\n"
"main(int argc, char *argv[])\n"
"{\n"
"    int fd, nread;\n"
"    char buf[BUF_SIZE];\n"
"    struct linux_dirent *d;\n"
"    int bpos;\n"
"    char d_type;\n"

#. type: Plain text
#: build/C/man2/getdents.2:64
#, no-wrap
msgid ""
"    fd = open(argc E<gt> 1 ? argv[1] : \".\", O_RDONLY | O_DIRECTORY);\n"
"    if (fd == -1)\n"
"        handle_error(\"open\");\n"
msgstr ""
"    fd = open(argc E<gt> 1 ? argv[1] : \".\", O_RDONLY | O_DIRECTORY);\n"
"    if (fd == -1)\n"
"        handle_error(\"open\");\n"

#. type: Plain text
#: build/C/man2/getdents.2:65
#, no-wrap
msgid ""
"    for ( ; ; ) {\n"
"        nread = syscall(SYS_getdents, fd, buf, BUF_SIZE);\n"
"        if (nread == -1)\n"
"            handle_error(\"getdents\");\n"
msgstr ""
"    for ( ; ; ) {\n"
"        nread = syscall(SYS_getdents, fd, buf, BUF_SIZE);\n"
"        if (nread == -1)\n"
"            handle_error(\"getdents\");\n"

#. type: Plain text
#: build/C/man2/getdents.2:66
#, no-wrap
msgid ""
"        if (nread == 0)\n"
"            break;\n"
msgstr ""
"        if (nread == 0)\n"
"            break;\n"

#. type: Plain text
#: build/C/man2/getdents.2:67
#, no-wrap
msgid ""
"        printf(\"--------------- nread=%d ---------------\\en\", nread);\n"
"        printf(\"i-node#  file type  d_reclen  d_off   d_name\\en\");\n"
"        for (bpos = 0; bpos E<lt> nread;) {\n"
"            d = (struct linux_dirent *) (buf + bpos);\n"
"            printf(\"%8ld  \", d-E<gt>d_ino);\n"
"            d_type = *(buf + bpos + d-E<gt>d_reclen - 1);\n"
"            printf(\"%-10s \", (d_type == DT_REG) ?  \"regular\" :\n"
"                             (d_type == DT_DIR) ?  \"directory\" :\n"
"                             (d_type == DT_FIFO) ? \"FIFO\" :\n"
"                             (d_type == DT_SOCK) ? \"socket\" :\n"
"                             (d_type == DT_LNK) ?  \"symlink\" :\n"
"                             (d_type == DT_BLK) ?  \"block dev\" :\n"
"                             (d_type == DT_CHR) ?  \"char dev\" : \"???\");\n"
"            printf(\"%4d %10lld  %s\\en\", d-E<gt>d_reclen,\n"
"                    (long long) d-E<gt>d_off, d-E<gt>d_name);\n"
"            bpos += d-E<gt>d_reclen;\n"
"        }\n"
"    }\n"
msgstr ""
"        printf(\"--------------- nread=%d ---------------\\en\", nread);\n"
"        printf(\"i-node#  file type  d_reclen  d_off   d_name\\en\");\n"
"        for (bpos = 0; bpos E<lt> nread;) {\n"
"            d = (struct linux_dirent *) (buf + bpos);\n"
"            printf(\"%8ld  \", d-E<gt>d_ino);\n"
"            d_type = *(buf + bpos + d-E<gt>d_reclen - 1);\n"
"            printf(\"%-10s \", (d_type == DT_REG) ?  \"regular\" :\n"
"                             (d_type == DT_DIR) ?  \"directory\" :\n"
"                             (d_type == DT_FIFO) ? \"FIFO\" :\n"
"                             (d_type == DT_SOCK) ? \"socket\" :\n"
"                             (d_type == DT_LNK) ?  \"symlink\" :\n"
"                             (d_type == DT_BLK) ?  \"block dev\" :\n"
"                             (d_type == DT_CHR) ?  \"char dev\" : \"???\");\n"
"            printf(\"%4d %10lld  %s\\en\", d-E<gt>d_reclen,\n"
"                    (long long) d-E<gt>d_off, d-E<gt>d_name);\n"
"            bpos += d-E<gt>d_reclen;\n"
"        }\n"
"    }\n"

#. type: Plain text
#: build/C/man2/getdents.2:68
#, no-wrap
msgid ""
"    exit(EXIT_SUCCESS);\n"
"}\n"
msgstr ""
"    exit(EXIT_SUCCESS);\n"
"}\n"

#. type: Plain text
#: build/C/man2/getdents.2:70
msgid "B<readdir>(2), B<readdir>(3)"
msgstr "B<readdir>(2), B<readdir>(3)"

#. type: TH
#: build/C/man3/getdirentries.3:1
#, no-wrap
msgid "GETDIRENTRIES"
msgstr "GETDIRENTRIES"

#. type: TH
#: build/C/man3/getdirentries.3:2
#, no-wrap
msgid "2014-06-13"
msgstr "13 juin 2014"

#. type: TH
#: build/C/man3/getdirentries.3:3 build/C/man3/opendir.3:3
#: build/C/man3/scandir.3:3
#, no-wrap
msgid "GNU"
msgstr "GNU"

#. type: Plain text
#: build/C/man3/getdirentries.3:6
msgid ""
"getdirentries - get directory entries in a filesystem-independent format"
msgstr ""
"getdirentries - Lire le contenu d'un répertoire dans un format indépendant "
"du système"

#. type: Plain text
#: build/C/man3/getdirentries.3:9
msgid ""
"B<ssize_t getdirentries(int >I<fd>B<, char *>I<buf>B<, size_t >I<nbytes> B<, "
"off_t *>I<basep>B<);>"
msgstr ""
"B<ssize_t getdirentries(int >I<fd>B<, char *>I<buf>B<, size_t >I<nbytes> B<, "
"off_t *>I<basep>B<);>"

#. type: Plain text
#: build/C/man3/getdirentries.3:11
msgid "B<getdirentries>(): _BSD_SOURCE || _SVID_SOURCE"
msgstr "B<getdirentries>()\\ : _BSD_SOURCE || _SVID_SOURCE"

#. type: Plain text
#: build/C/man3/getdirentries.3:13
msgid ""
"Read directory entries from the directory specified by I<fd> into I<buf>.  "
"At most I<nbytes> are read.  Reading starts at offset I<*basep>, and "
"I<*basep> is updated with the new position after reading."
msgstr ""
"La fonction B<getdirentries>() lit les entrées d'un répertoire indiqué par "
"I<fd> dans le tampon I<buf>. I<nbytes> octets au maximum sont lus. La "
"lecture démarre à la position I<*basep>, puis I<*basep> est mis à jour avec "
"la nouvelle position à lire."

#. type: Plain text
#: build/C/man3/getdirentries.3:15
msgid ""
"B<getdirentries>()  returns the number of bytes read or zero when at the end "
"of the directory.  If an error occurs, -1 is returned, and I<errno> is set "
"appropriately."
msgstr ""
"B<getdirentries>() renvoie le nombre d'octets lus, ou 0 à la fin du "
"répertoire. En cas d'échec, -1 est renvoyé, et I<errno> contient le code "
"d'erreur."

#. type: Plain text
#: build/C/man3/getdirentries.3:17
msgid "See the Linux library source code for details."
msgstr ""
"Consultez le code source de la bibliothèque Linux pour obtenir des détails."

#. type: Plain text
#: build/C/man3/getdirentries.3:20
msgid "The B<getdirentries>()  function is thread-safe."
msgstr "La fonction B<getdirentries>() est sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/getdirentries.3:22
msgid ""
"Not in POSIX.1-2001.  Present on the BSDs, and a few other systems.  Use "
"B<opendir>(3)  and B<readdir>(3)  instead."
msgstr ""
"Absent de POSIX.1-2001. Présent dans BSD et quelques autres systèmes. "
"Utilisez à la place B<opendir>(3) et B<readdir>(3)."

#. type: Plain text
#: build/C/man3/getdirentries.3:24
msgid "B<lseek>(2), B<open>(2)"
msgstr "B<lseek>(2), B<open>(2)"

#. type: TH
#: build/C/man3/opendir.3:1
#, no-wrap
msgid "OPENDIR"
msgstr "OPENDIR"

#. type: TH
#: build/C/man3/opendir.3:2
#, no-wrap
msgid "2010-06-20"
msgstr "20 juin 2010"

#. type: Plain text
#: build/C/man3/opendir.3:6
msgid "opendir, fdopendir - open a directory"
msgstr "opendir, fdopendir - Ouvrir un répertoire"

#. type: Plain text
#: build/C/man3/opendir.3:10
#, no-wrap
msgid ""
"B<DIR *opendir(const char *>I<name>B<);>\n"
"B<DIR *fdopendir(int >I<fd>B<);>\n"
msgstr ""
"B<DIR *opendir(const char *>I<nom>B<);>\n"
"B<DIR *fdopendir(int >I<fd>B<);>\n"

#. type: Plain text
#: build/C/man3/opendir.3:12
msgid "B<fdopendir>():"
msgstr "B<fdopendir>():"

#. type: TP
#: build/C/man3/opendir.3:13
#, no-wrap
msgid "Since glibc 2.10:"
msgstr "Depuis la glibc 2.10 :"

#. type: Plain text
#: build/C/man3/opendir.3:14
msgid "_XOPEN_SOURCE\\ E<gt>=\\ 700 || _POSIX_C_SOURCE\\ E<gt>=\\ 200809L"
msgstr "_XOPEN_SOURCE\\ E<gt>=\\ 700 || _POSIX_C_SOURCE\\ E<gt>=\\ 200809L"

#. type: TP
#: build/C/man3/opendir.3:15
#, no-wrap
msgid "Before glibc 2.10:"
msgstr "Avant la glibc 2.10 :"

#. type: Plain text
#: build/C/man3/opendir.3:16
msgid "_GNU_SOURCE"
msgstr "_GNU_SOURCE"

#. type: Plain text
#: build/C/man3/opendir.3:18
msgid ""
"The B<opendir>()  function opens a directory stream corresponding to the "
"directory I<name>, and returns a pointer to the directory stream.  The "
"stream is positioned at the first entry in the directory."
msgstr ""
"La fonction B<opendir>() ouvre un flux répertoire correspondant au "
"répertoire I<nom>, et renvoie un pointeur sur ce flux. Le flux est "
"positionné sur la première entrée du répertoire."

#. type: Plain text
#: build/C/man3/opendir.3:19
msgid ""
"The B<fdopendir>()  function is like B<opendir>(), but returns a directory "
"stream for the directory referred to by the open file descriptor I<fd>.  "
"After a successful call to B<fdopendir>(), I<fd> is used internally by the "
"implementation, and should not otherwise be used by the application."
msgstr ""
"La fonction B<fdopendir>() est similaire à B<opendir>(), mais renvoie un "
"flux de répertoire pour le répertoire demandé avec le descripteur de fichier "
"I<fd> ouvert. Après un appel réussi à B<fdopendir>(), I<fd> est utilisé en "
"interne par l'implémentation, et ne doit plus être utilisé par l'application."

#. type: Plain text
#: build/C/man3/opendir.3:21
msgid ""
"The B<opendir>()  and B<fdopendir>()  functions return a pointer to the "
"directory stream.  On error, NULL is returned, and I<errno> is set "
"appropriately."
msgstr ""
"Les fonctions B<opendir>() et B<fdopendir>() renvoient un pointeur sur le "
"flux répertoire. Si une erreur se produit, NULL est renvoyé, et I<errno> "
"contient le code d'erreur."

#. type: TP
#: build/C/man3/opendir.3:23
#, no-wrap
msgid "B<EACCES>"
msgstr "B<EACCES>"

#. type: Plain text
#: build/C/man3/opendir.3:24
msgid "Permission denied."
msgstr "Accès interdit."

#. type: Plain text
#: build/C/man3/opendir.3:26
msgid "I<fd> is not a valid file descriptor opened for reading."
msgstr "I<fd> n'est pas un descripteur de fichier valable ouvert en lecture."

#. type: TP
#: build/C/man3/opendir.3:27
#, no-wrap
msgid "B<EMFILE>"
msgstr "B<EMFILE>"

#. type: Plain text
#: build/C/man3/opendir.3:28
msgid "Too many file descriptors in use by process."
msgstr "Trop de descripteurs de fichier pour le processus en cours."

#. type: TP
#: build/C/man3/opendir.3:29
#, no-wrap
msgid "B<ENFILE>"
msgstr "B<ENFILE>"

#. type: Plain text
#: build/C/man3/opendir.3:30
msgid "Too many files are currently open in the system."
msgstr "Trop de fichiers ouverts simultanément sur le système."

#. type: Plain text
#: build/C/man3/opendir.3:32
msgid "Directory does not exist, or I<name> is an empty string."
msgstr "Le répertoire n'existe pas, ou I<nom> est une chaîne vide."

#. type: TP
#: build/C/man3/opendir.3:33 build/C/man3/scandir.3:38
#, no-wrap
msgid "B<ENOMEM>"
msgstr "B<ENOMEM>"

#. type: Plain text
#: build/C/man3/opendir.3:34 build/C/man3/scandir.3:39
msgid "Insufficient memory to complete the operation."
msgstr "Pas assez de mémoire pour terminer l'opération."

#. type: Plain text
#: build/C/man3/opendir.3:36
msgid "I<name> is not a directory."
msgstr "I<nom> n'est pas un répertoire"

#. type: SH
#: build/C/man3/opendir.3:37 build/C/man3/scandir.3:47
#, no-wrap
msgid "VERSIONS"
msgstr "VERSIONS"

#. type: Plain text
#: build/C/man3/opendir.3:38
msgid "B<fdopendir>()  is available in glibc since version 2.4."
msgstr "B<fdopendir>() est disponible dans la glibc depuis la version 2.4."

#. type: Plain text
#: build/C/man3/opendir.3:40
msgid ""
"B<opendir>()  is present on SVr4, 4.3BSD, and specified in POSIX.1-2001.  "
"B<fdopendir>()  is specified in POSIX.1-2008."
msgstr ""
"B<opendir>() est présente dans SVr4, BSD 4.3 et spécifiée dans POSIX.1-2001. "
"B<fdopendir>() est spécifiée dans POSIX.1-2008."

#. type: Plain text
#: build/C/man3/opendir.3:42
msgid ""
"The underlying file descriptor of the directory stream can be obtained using "
"B<dirfd>(3)."
msgstr ""
"Le descripteur sous-jacent à un flux répertoire peut être obtenu avec "
"B<dirfd>(3)."

#. type: Plain text
#: build/C/man3/opendir.3:43
msgid ""
"The B<opendir>()  function sets the close-on-exec flag for the file "
"descriptor underlying the I<DIR *>.  The B<fdopendir>()  function leaves the "
"setting of the close-on-exec flag unchanged for the file descriptor, I<fd>.  "
"POSIX.1-200x leaves it unspecified whether a successful call to "
"B<fdopendir>()  will set the close-on-exec flag for the file descriptor, "
"I<fd>."
msgstr ""
"La fonction B<opendir>() définit l'attribut « close-on-exec » pour le "
"descripteur de fichier sous-jacent à I<DIR *>. La fonction B<fdopendir>() "
"laisse inchangée la configuration de l'attribut « close-on-exec » pour le "
"descripteur de fichier I<fd>. POSIX.1-200x laisse ouvert la le fait que "
"l'attribut close-on-exec du descripteur de fichier I<fd> soit positionné ou "
"non par un appel réussi à B<fdopendir>()."

#. type: Plain text
#: build/C/man3/opendir.3:45
msgid ""
"B<open>(2), B<closedir>(3), B<dirfd>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3), B<telldir>(3)"
msgstr ""
"B<open>(2), B<closedir>(3), B<dirfd>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3), B<telldir>(3)"

#. type: TH
#: build/C/man2/readdir.2:1 build/C/man3/readdir.3:1
#, no-wrap
msgid "READDIR"
msgstr "READDIR"

#. type: TH
#: build/C/man2/readdir.2:2 build/C/man3/readdir.3:2
#, no-wrap
msgid "2013-06-21"
msgstr "21 juin 2013"

#. type: Plain text
#: build/C/man2/readdir.2:6
msgid "readdir - read directory entry"
msgstr "readdir - Lire une entrée de répertoire"

#. type: Plain text
#: build/C/man2/readdir.2:8
#, no-wrap
msgid ""
"B<int readdir(unsigned int >I<fd>B<, struct old_linux_dirent *>I<dirp>B<,>\n"
"B<            unsigned int >I<count>B<);>\n"
msgstr ""
"B<int readdir(unsigned int >I<fd>B<, struct old_linux_dirent *>I<dirp>B<,>\n"
"B<            unsigned int >I<count>B<);>\n"

#. type: Plain text
#: build/C/man2/readdir.2:11
msgid ""
"This is not the function you are interested in.  Look at B<readdir>(3)  for "
"the POSIX conforming C library interface.  This page documents the bare "
"kernel system call interface, which is superseded by B<getdents>(2)."
msgstr ""
"Cette fonction n'est normalement pas intéressante pour les programmeurs. "
"Utiliser B<readdir>(3) pour les fonctionnalités conformes POSIX. Cette page "
"documente l'interface de l'appel système bas niveau, qui est remplacée par "
"B<getdents>(2)."

#. type: Plain text
#: build/C/man2/readdir.2:12
msgid ""
"B<readdir>()  reads one I<old_linux_dirent> structure from the directory "
"referred to by the file descriptor I<fd> into the buffer pointed to by "
"I<dirp>.  The argument I<count> is ignored; at most one I<old_linux_dirent> "
"structure is read."
msgstr ""
"B<readdir>() lit une structure I<old_linux_dirent> depuis le répertoire "
"référencé par le descripteur de fichier I<fd> et la place dans le tampon "
"pointé par I<dirp>. Le paramètre I<count> est ignoré, au plus une structure "
"I<old_linux_dirent> est lue."

#. type: Plain text
#: build/C/man2/readdir.2:13
msgid "The I<old_linux_dirent> structure is declared as follows:"
msgstr "La structure I<old_linux_dirent> est déclarée comme ceci\\ :"

#. type: Plain text
#: build/C/man2/readdir.2:14
#, no-wrap
msgid ""
"struct old_linux_dirent {\n"
"    long  d_ino;              /* inode number */\n"
"    off_t d_off;              /* offset to this I<old_linux_dirent> */\n"
"    unsigned short d_reclen;  /* length of this I<d_name> */\n"
"    char  d_name[NAME_MAX+1]; /* filename (null-terminated) */\n"
"}\n"
msgstr ""
"struct dirent {\n"
"    long  d_ino;              /* numéro d'inœud */\n"
"    off_t d_off;              /* position de ce I<old_linux_dirent> */\n"
"    unsigned short d_reclen;  /* longueur de I<d_name> */\n"
"    char  d_name[NAME_MAX+1]; /* nom du fichier (terminé par \\(rs0) */\n"
"}\n"

#. type: Plain text
#: build/C/man2/readdir.2:15
msgid ""
"I<d_ino> is an inode number.  I<d_off> is the distance from the start of the "
"directory to this I<old_linux_dirent>.  I<d_reclen> is the size of "
"I<d_name>, not counting the terminating null byte (\\(aq\\e0\\(aq).  "
"I<d_name> is a null-terminated filename."
msgstr ""
"I<d_ino> est un numéro d'inœud. I<d_off> est la distance entre le début du "
"répertoire et cette structure I<old_linux_dirent>. I<d_reclen> est la "
"longueur de I<d_name>, sans compter l'octet nul final (« \\e0 »). I<d_name> "
"est le nom de fichier terminé par un caractère nul."

#. type: Plain text
#: build/C/man2/readdir.2:17
msgid ""
"On success, 1 is returned.  On end of directory, 0 is returned.  On error, "
"-1 is returned, and I<errno> is set appropriately."
msgstr ""
"B<readdir> renvoie 1 s'il réussit, 0 en fin de répertoire, ou -1 s'il "
"échoue, auquel cas I<errno> contient le code d'erreur."

#. type: Plain text
#: build/C/man2/readdir.2:30
msgid "This system call is Linux-specific."
msgstr "Cet appel système est spécifique à Linux."

#. type: Plain text
#: build/C/man2/readdir.2:32
msgid ""
"Glibc does not provide a wrapper for this system call; call it using "
"B<syscall>(2).  You will need to define the I<old_linux_dirent> structure "
"yourself.  However, probably you should use B<readdir>(3)  instead."
msgstr ""
"La glibc ne fournit pas de fonction autour de cet appel système\\ ; utilisez "
"B<syscall>(2) pour l'appeler. Vous devrez définir la structure "
"I<old_linux_dirent> vous-même. Cependant, B<readdir>(3) peut avantageusement "
"être utilisé à la place."

#. type: Plain text
#: build/C/man2/readdir.2:33
msgid "This system call does not exist on x86-64."
msgstr "Cet appel système n'existe pas sur x86-64."

#. type: Plain text
#: build/C/man2/readdir.2:35
msgid "B<getdents>(2), B<readdir>(3)"
msgstr "B<getdents>(2), B<readdir>(3)"

#. type: Plain text
#: build/C/man3/readdir.3:5
msgid "readdir, readdir_r - read a directory"
msgstr "readdir, readdir_r - Consulter un répertoire"

#. type: Plain text
#: build/C/man3/readdir.3:8
#, no-wrap
msgid "B<struct dirent *readdir(DIR *>I<dirp>B<);>\n"
msgstr "B<struct dirent *readdir(DIR *>I<dirp>B<);>\n"

#. type: Plain text
#: build/C/man3/readdir.3:9
#, no-wrap
msgid "B<int readdir_r(DIR *>I<dirp>B<, struct dirent *>I<entry>B<, struct dirent **>I<result>B<);>\n"
msgstr "B<int readdir_r(DIR *>I<dirp>B<, struct dirent *>I<entry>B<, struct dirent **>I<result>B<);>\n"

#. type: Plain text
#: build/C/man3/readdir.3:11
msgid "B<readdir_r>():"
msgstr "B<readdir_r>() :"

#. type: Plain text
#: build/C/man3/readdir.3:12
msgid ""
"_POSIX_C_SOURCE\\ E<gt>=\\ 1 || _XOPEN_SOURCE || _BSD_SOURCE || _SVID_SOURCE "
"|| _POSIX_SOURCE"
msgstr ""
"_POSIX_C_SOURCE\\ E<gt>=\\ 1 || _XOPEN_SOURCE || _BSD_SOURCE || _SVID_SOURCE "
"|| _POSIX_SOURCE"

#. type: Plain text
#: build/C/man3/readdir.3:14
msgid ""
"The B<readdir>()  function returns a pointer to a I<dirent> structure "
"representing the next directory entry in the directory stream pointed to by "
"I<dirp>.  It returns NULL on reaching the end of the directory stream or if "
"an error occurred."
msgstr ""
"La fonction B<readdir>() renvoie un pointeur sur une structure I<dirent> "
"représentant l'entrée suivante du flux répertoire pointé par I<dirp>. Elle "
"renvoie NULL a la fin du répertoire, ou en cas d'erreur."

#. type: Plain text
#: build/C/man3/readdir.3:15
msgid "On Linux, the I<dirent> structure is defined as follows:"
msgstr "Avec Linux, la structure I<dirent> est définie comme suit\\ :"

#. type: Plain text
#: build/C/man3/readdir.3:16
#, no-wrap
msgid ""
"struct dirent {\n"
"    ino_t          d_ino;       /* inode number */\n"
"    off_t          d_off;       /* not an offset; see NOTES */\n"
"    unsigned short d_reclen;    /* length of this record */\n"
"    unsigned char  d_type;      /* type of file; not supported\n"
"                                   by all filesystem types */\n"
"    char           d_name[256]; /* filename */\n"
"};\n"
msgstr ""
"struct dirent {\n"
"    ino_t          d_ino;       /* numéro d'inœud */\n"
"    off_t          d_off;       /* pas une position ; consultez NOTES */\n"
"    unsigned short d_reclen;    /* longueur de cet enregistrement */\n"
"    unsigned char  d_type;      /* type du fichier ; pas pris en\n"
"                                   charge par tous les types de\n"
"                                   système de fichiers */\n"
"    char           d_name[256]; /* nom du fichier */\n"
"};\n"

#. type: Plain text
#: build/C/man3/readdir.3:17
msgid ""
"The only fields in the I<dirent> structure that are mandated by POSIX.1 are: "
"I<d_name>[], of unspecified size, with at most B<NAME_MAX> characters "
"preceding the terminating null byte (\\(aq\\e0\\(aq); and (as an XSI "
"extension)  I<d_ino>.  The other fields are unstandardized, and not present "
"on all systems; see NOTES below for some further details."
msgstr ""
"Les seuls champs exigés par POSIX.1 pour la structure I<dirent> sont : "
"I<d_name>[], de taille non définie, avec au plus B<NAME_MAX> caractères "
"avant le caractère nul final (« \\e0 ») ; et (en tant qu'extension XSI) "
"I<d_ino>. Les autres champs ne sont pas standard, et ne sont pas présents "
"sur tous les systèmes ; consultez les B<NOTES> ci-dessous pour plus de "
"détails."

#. type: Plain text
#: build/C/man3/readdir.3:18
msgid ""
"The data returned by B<readdir>()  may be overwritten by subsequent calls to "
"B<readdir>()  for the same directory stream."
msgstr ""
"Les données renvoyées par B<readdir>() sont écrasées lors de l'appel suivant "
"à B<readdir>() sur le même flux répertoire."

#. type: Plain text
#: build/C/man3/readdir.3:19
msgid ""
"The B<readdir_r>()  function is a reentrant version of B<readdir>().  It "
"reads the next directory entry from the directory stream I<dirp>, and "
"returns it in the caller-allocated buffer pointed to by I<entry>.  (See "
"NOTES for information on allocating this buffer.)  A pointer to the returned "
"item is placed in I<*result>; if the end of the directory stream was "
"encountered, then NULL is instead returned in I<*result>."
msgstr ""
"La fonction B<readdir_r>() est la version réentrante de B<readdir>(). Elle "
"lit la prochaine entrée de répertoire à partir du flux de répertoire "
"I<dirp>, et la renvoie dans le tampon de l'appelant pointé par I<entry>. "
"(Consultez la section NOTES pour des informations sur l'allocation de ce "
"tampon.) Un pointeur vers l'élément renvoyé est placé dans I<*result> ; si "
"la fin du flux de répertoire est rencontrée, NULL est renvoyé dans "
"I<*result>."

#. type: Plain text
#: build/C/man3/readdir.3:21
msgid ""
"On success, B<readdir>()  returns a pointer to a I<dirent> structure.  (This "
"structure may be statically allocated; do not attempt to B<free>(3)  it.)  "
"If the end of the directory stream is reached, NULL is returned and I<errno> "
"is not changed.  If an error occurs, NULL is returned and I<errno> is set "
"appropriately."
msgstr ""
"En cas de succès, B<readdir>() renvoie un pointeur sur une structure "
"I<dirent> (cette structure peut avoir été allouée statiquement ; n'essayez "
"pas de la désallouer avec B<free>(3)). Lorsque la fin du flux répertoire est "
"atteinte, NULL est renvoyé et I<errno> n'est pas modifiée. En cas d'erreur, "
"NULL est renvoyée et I<errno> contient le code d'erreur."

#. type: Plain text
#: build/C/man3/readdir.3:22
msgid ""
"The B<readdir_r>()  function returns 0 on success.  On error, it returns a "
"positive error number (listed under ERRORS).  If the end of the directory "
"stream is reached, B<readdir_r>()  returns 0, and returns NULL in I<*result>."
msgstr ""
"La fonction B<readdir_r>() renvoie 0 si elle réussit. Si elle échoue, elle "
"renvoie un code d'erreur positif (documenté dans B<ERREURS>). Si la fin du "
"flux répertoire est atteinte, B<readdir_r>() renvoie 0 et renvoie NULL dans "
"I<*result>."

#. type: Plain text
#: build/C/man3/readdir.3:28
msgid "The B<readdir>()  function is not thread-safe."
msgstr "La fonction B<readdir>() n'est pas sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/readdir.3:29
msgid "The B<readdir_r>()  function is thread-safe."
msgstr "La fonction B<readdir_r>() est sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/readdir.3:31 build/C/man3/rewinddir.3:18
msgid "SVr4, 4.3BSD, POSIX.1-2001."
msgstr "SVr4, BSD\\ 4.3, POSIX.1-2001."

#. type: Plain text
#: build/C/man3/readdir.3:33
msgid ""
"Only the fields I<d_name> and I<d_ino> are specified in POSIX.1-2001.  The "
"remaining fields are available on many, but not all systems.  Under glibc, "
"programs can check for the availability of the fields not defined in POSIX.1 "
"by testing whether the macros B<_DIRENT_HAVE_D_NAMLEN>, "
"B<_DIRENT_HAVE_D_RECLEN>, B<_DIRENT_HAVE_D_OFF>, or B<_DIRENT_HAVE_D_TYPE> "
"are defined."
msgstr ""
"Seuls les champs I<d_name> et I<d_ino> sont spécifiés dans POSIX.1-2001. les "
"autres champs sont disponibles sur beaucoup de systèmes, mais pas sur tous. "
"Sur la glibc, les programmes peuvent vérifier la disponibilités des champs "
"non définis dans POSIX.1 en testant sir les macros B<_DIRENT_HAVE_D_NAMLEN>, "
"B<_DIRENT_HAVE_D_RECLEN>, B<_DIRENT_HAVE_D_OFF> ou B<_DIRENT_HAVE_D_TYPE> "
"sont définie."

#.  https://lwn.net/Articles/544298/
#. type: Plain text
#: build/C/man3/readdir.3:34
msgid ""
"The value returned in I<d_off> is the same as would be returned by calling "
"B<telldir>(3)  at the current position in the directory stream.  Be aware "
"that despite its type and name, the I<d_off> field is seldom any kind of "
"directory offset on modern filesystems.  Applications should treat this "
"field as an opaque value, making no assumptions about its contents; see also "
"B<telldir>(3)."
msgstr ""
"La valeur renvoyée dans I<d_off> est la même qui serait renvoyée en appelant "
"B<telldir>(3) à la position actuelle dans le flux répertoire. Soyez "
"conscient que, malgré ses type et nom, le champ I<d_off> ne représente que "
"rarement une sorte de position de répertoire sur les systèmes de fichiers "
"modernes. Les applications devraient traiter ce champ comme une valeur "
"opaque, sans faire de supposition sur son contenu. Consultez aussi "
"B<telldir>(3)."

#. type: Plain text
#: build/C/man3/readdir.3:35
msgid ""
"Other than Linux, the I<d_type> field is available mainly only on BSD "
"systems.  This field makes it possible to avoid the expense of calling "
"B<lstat>(2)  if further actions depend on the type of the file.  If the "
"B<_BSD_SOURCE> feature test macro is defined, then glibc defines the "
"following macro constants for the value returned in I<d_type>:"
msgstr ""
"En dehors de Linux, le champ I<d_type> est disponible presque uniquement sur "
"les systèmes BSD. Ce champ évite d'avoir à appeler B<lstat>(2) si les "
"actions qui suivent dépendent du type de fichier. Si la macro de test de "
"fonctionnalités B<_BSD_SOURCE> est définie, alors la glibc définie les "
"macros suivantes pour les valeurs renvoyées dans I<d_type> :"

#. type: Plain text
#: build/C/man3/readdir.3:52
msgid ""
"If the file type could not be determined, the value B<DT_UNKNOWN> is "
"returned in I<d_type>."
msgstr ""
"Si le type de fichier ne peut pas être déterminé, la valeur B<DT_UNKNOWN> "
"est renvoyée dans I<d_type>."

#. type: Plain text
#: build/C/man3/readdir.3:54
msgid ""
"Since POSIX.1 does not specify the size of the I<d_name> field, and other "
"nonstandard fields may precede that field within the I<dirent> structure, "
"portable applications that use B<readdir_r>()  should allocate the buffer "
"whose address is passed in I<entry> as follows:"
msgstr ""
"Puisque POSIX.1 ne spécifie pas la taille du champ I<d_name>, et que "
"d'autres champs non standard peuvent précéder ce champ dans la structure "
"I<dirent>, les applications portables utilisant B<readdir_r>() devraient "
"allouer le tampon dont l'adresse est passée dans I<entry> de la façon "
"suivante :"

#. type: Plain text
#: build/C/man3/readdir.3:55
#, no-wrap
msgid ""
"name_max = pathconf(dirpath, _PC_NAME_MAX);\n"
"if (name_max == -1)         /* Limit not defined, or error */\n"
"    name_max = 255;         /* Take a guess */\n"
"len = offsetof(struct dirent, d_name) + name_max + 1;\n"
"entryp = malloc(len);\n"
msgstr ""
"name_max = pathconf(dirpath, _PC_NAME_MAX);\n"
"if (name_max == -1)         /* Limite non définie ou erreur */\n"
"    name_max = 255;         /* Au hasard */\n"
"len = offsetof(struct dirent, d_name) + name_max + 1;\n"
"entryp = malloc(len);\n"

#. type: Plain text
#: build/C/man3/readdir.3:56
msgid ""
"(POSIX.1 requires that I<d_name> is the last field in a I<struct dirent>.)"
msgstr ""
"(POSIX.1 demande que I<d_name> soit le dernier champ d'une structure "
"I<dirent>.)"

#. type: Plain text
#: build/C/man3/readdir.3:58
msgid ""
"B<getdents>(2), B<read>(2), B<closedir>(3), B<dirfd>(3), B<ftw>(3), "
"B<offsetof>(3), B<opendir>(3), B<rewinddir>(3), B<scandir>(3), "
"B<seekdir>(3), B<telldir>(3)"
msgstr ""
"B<getdents>(2), B<read>(2), B<closedir>(3), B<dirfd>(3), B<ftw>(3), "
"B<offsetof>(3), B<opendir>(3), B<rewinddir>(3), B<scandir>(3), "
"B<seekdir>(3), B<telldir>(3)"

#. type: TH
#: build/C/man3/rewinddir.3:1
#, no-wrap
msgid "REWINDDIR"
msgstr "REWINDDIR"

#. type: TH
#: build/C/man3/rewinddir.3:2 build/C/man3/telldir.3:2
#, no-wrap
msgid "2013-09-02"
msgstr "2 septembre 2013"

#. type: Plain text
#: build/C/man3/rewinddir.3:5
msgid "rewinddir - reset directory stream"
msgstr "rewinddir - Réinitialiser un flux répertoire"

#. type: Plain text
#: build/C/man3/rewinddir.3:9
#, no-wrap
msgid "B<void rewinddir(DIR *>I<dirp>B<);>\n"
msgstr "B<void rewinddir(DIR *>I<dirp>B<);>\n"

#. type: Plain text
#: build/C/man3/rewinddir.3:11
msgid ""
"The B<rewinddir>()  function resets the position of the directory stream "
"I<dirp> to the beginning of the directory."
msgstr ""
"La fonction B<rewinddir>() réinitialise la position du pointeur du flux "
"I<dirp> au début du répertoire."

#. type: Plain text
#: build/C/man3/rewinddir.3:13
msgid "The B<rewinddir>()  function returns no value."
msgstr "La fonction B<rewinddir>() ne renvoie pas de valeur."

#. type: Plain text
#: build/C/man3/rewinddir.3:16
msgid "The B<rewinddir>()  function is thread-safe."
msgstr "La fonction B<rewinddir>() est sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/rewinddir.3:20
msgid ""
"B<closedir>(3), B<opendir>(3), B<readdir>(3), B<scandir>(3), B<seekdir>(3), "
"B<telldir>(3)"
msgstr ""
"B<closedir>(3), B<opendir>(3), B<readdir>(3), B<scandir>(3), B<seekdir>(3), "
"B<telldir>(3)"

#. type: TH
#: build/C/man3/scandir.3:1
#, no-wrap
msgid "SCANDIR"
msgstr "SCANDIR"

#. type: TH
#: build/C/man3/scandir.3:2
#, no-wrap
msgid "2014-05-28"
msgstr "28 mai 2014"

#. type: Plain text
#: build/C/man3/scandir.3:6
msgid ""
"scandir, scandirat, alphasort, versionsort - scan a directory for matching "
"entries"
msgstr ""
"scandir, scandirat, alphasort, versionsort - Sélectionner des éléments d'un "
"répertoire"

#. type: Plain text
#: build/C/man3/scandir.3:9
#, no-wrap
msgid "B<int scandir(const char *>I<dirp>B<, struct dirent ***>I<namelist>B<,>\n"
msgstr "B<int scandir(const char *>I<dirp>B<, struct dirent ***>I<namelist>B<,>\n"

#. type: Plain text
#: build/C/man3/scandir.3:10 build/C/man3/scandir.3:15
#, no-wrap
msgid ""
"B<int (*>I<filter>B<)(const struct dirent *),>\n"
"B<int (*>I<compar>B<)(const struct dirent **, const struct dirent **));>\n"
msgstr ""
"B<int (*>I<filter>B<)(const struct dirent *),>\n"
"B<int (*>I<compar>B<)(const struct dirent **, const struct dirent **));>\n"

#. type: Plain text
#: build/C/man3/scandir.3:11
#, no-wrap
msgid "B<int alphasort(const struct dirent **>I<a>B<, const struct dirent **>I<b>B<);>\n"
msgstr "B<int alphasort(const struct dirent **>I<a>B<, const struct dirent **>I<b>B<);>\n"

#. type: Plain text
#: build/C/man3/scandir.3:12
#, no-wrap
msgid "B<int versionsort(const struct dirent **>I<a>B<, const struct dirent **>I<b>B<);>\n"
msgstr "B<int versionsort(const struct dirent **>I<a>B<, const struct dirent **>I<b>B<);>\n"

#. type: Plain text
#: build/C/man3/scandir.3:13
#, no-wrap
msgid ""
"B<#include E<lt>fcntl.hE<gt>>          /* Definition of AT_* constants */\n"
"B<#include E<lt>dirent.hE<gt>>\n"
msgstr ""
"B<#include E<lt>fcntl.hE<gt>>          /* Définition des constantes AT_* */\n"
"B<#include E<lt>dirent.hE<gt>>\n"

#. type: Plain text
#: build/C/man3/scandir.3:14
msgid ""
"B<int scandirat(int >I<dirfd>B<, const char *>I<dirp>B<,> B<struct dirent "
"***>I<namelist>B<,>"
msgstr ""
"B<int scandirat(int >I<dirfd>B<, const char *>I<dirp>B<,> B<struct dirent "
"***>I<namelist>B<,>"

#. type: Plain text
#: build/C/man3/scandir.3:17
msgid "B<scandir>(), B<alphasort>():"
msgstr "B<scandir>(), B<alphasort>() :"

#. type: Plain text
#: build/C/man3/scandir.3:21
msgid "B<versionsort>(): _GNU_SOURCE"
msgstr "B<versionsort>() : _GNU_SOURCE"

#. type: Plain text
#: build/C/man3/scandir.3:22
msgid "B<scandirat>(): _GNU_SOURCE"
msgstr "B<scandirat>() : _GNU_SOURCE"

#. type: Plain text
#: build/C/man3/scandir.3:24
msgid ""
"The B<scandir>()  function scans the directory I<dirp>, calling I<filter>() "
"on each directory entry.  Entries for which I<filter>() returns nonzero are "
"stored in strings allocated via B<malloc>(3), sorted using B<qsort>(3)  with "
"the comparison function I<compar>(), and collected in array I<namelist> "
"which is allocated via B<malloc>(3).  If I<filter> is NULL, all entries are "
"selected."
msgstr ""
"La fonction B<scandir>() examine le répertoire I<dirp>, en appelant "
"I<filter>() pour chaque élément rencontré. Les entrées pour lesquelles "
"I<filter>() renvoie une valeur non nulle sont stockées dans une table "
"allouée avec B<malloc>(3), triée avec B<qsort>(3) en utilisant la fonction "
"de comparaison I<compar>(), puis regroupées dans une table I<namelist> "
"allouée avec B<malloc>(3). Si I<filter> est NULL, toutes les entrées sont "
"sélectionnées."

#. type: Plain text
#: build/C/man3/scandir.3:25
msgid ""
"The B<alphasort>()  and B<versionsort>()  functions can be used as the "
"comparison function I<compar>().  The former sorts directory entries using "
"B<strcoll>(3), the latter using B<strverscmp>(3)  on the strings I<(*a)-"
"E<gt>d_name> and I<(*b)-E<gt>d_name>."
msgstr ""
"Les fonctions B<alphasort>() et B<versionsort>() peuvent être utilisées "
"comme fonction de comparaison I<compar>. La première trie les entrées du "
"répertoire en ordre alphabétique en utilisant B<strcoll>(3), la seconde en "
"utilisant B<strverscmp>(3) sur les chaînes I<(*a)-E<gt>d_name> et I<(*b)-"
"E<gt>d_name>."

#. type: SS
#: build/C/man3/scandir.3:26
#, no-wrap
msgid "scandirat()"
msgstr "scandirat()"

#. type: Plain text
#: build/C/man3/scandir.3:27
msgid ""
"The B<scandirat>()  function operates in exactly the same way as "
"B<scandir>(), except for the differences described here."
msgstr ""
"La fonction B<scandirat>() fonctionne exactement comme B<scandir>(3), les "
"seules différences étant décrites ici."

#. type: Plain text
#: build/C/man3/scandir.3:28
msgid ""
"If the pathname given in I<dirp> is relative, then it is interpreted "
"relative to the directory referred to by the file descriptor I<dirfd> "
"(rather than relative to the current working directory of the calling "
"process, as is done by B<scandir>()  for a relative pathname)."
msgstr ""
"Si le nom de chemin donné dans I<dirp> est relatif, il est considéré relatif "
"au répertoire référencé par le descripteur de fichier I<dirfd> (plutôt que "
"relatif au répertoire de travail actuel du processus appelant, comme avec "
"B<scandir>() pour un nom de chemin relatif)."

#. type: Plain text
#: build/C/man3/scandir.3:29
msgid ""
"If I<dirp> is relative and I<dirfd> is the special value B<AT_FDCWD>, then "
"I<dirp> is interpreted relative to the current working directory of the "
"calling process (like B<scandir>())."
msgstr ""
"Si I<dirp> est relatif et que I<dirfd> est la valeur particulière "
"B<AT_FDCWD>, alors I<dirp> est considéré relatif au répertoire de travail "
"actuel du processus appelant (comme B<scandir>())."

#. type: Plain text
#: build/C/man3/scandir.3:30
msgid "If I<dirp> is absolute, then I<dirfd> is ignored."
msgstr "Si I<dirp> est absolu, alors I<dirfd> est ignoré."

#. type: Plain text
#: build/C/man3/scandir.3:31
msgid "See B<openat>(2)  for an explanation of the need for B<scandirat>()."
msgstr ""
"Consultez B<openat>(2) pour une explication sur la nécessité de "
"B<scandirat>()."

#. type: Plain text
#: build/C/man3/scandir.3:33
msgid ""
"The B<scandir>()  function returns the number of directory entries "
"selected.  On error, -1 is returned, with I<errno> set to indicate the cause "
"of the error."
msgstr ""
"La fonction B<scandir>() renvoie le nombre d'entrées de répertoires "
"sélectionnées s'il réussit, ou -1 s'il échoue, avec I<errno> qui contient le "
"code d'erreur."

#. type: Plain text
#: build/C/man3/scandir.3:34
msgid ""
"The B<alphasort>()  and B<versionsort>()  functions return an integer less "
"than, equal to, or greater than zero if the first argument is considered to "
"be respectively less than, equal to, or greater than the second."
msgstr ""
"Les fonctions B<alphasort>() et B<versionsort>() renvoient un entier "
"négatif, nul, ou positif si le premier argument est respectivement "
"inférieur, égal ou supérieur au second."

#. type: Plain text
#: build/C/man3/scandir.3:37
msgid "The path in I<dirp> does not exist."
msgstr "Le chemin n'existe pas dans I<dirp>."

#. type: Plain text
#: build/C/man3/scandir.3:41
msgid "The path in I<dirp> is not a directory."
msgstr "Le chemin n'est pas un répertoire de I<dirp>."

#. type: Plain text
#: build/C/man3/scandir.3:42
msgid "The following additional errors can occur for B<scandirat>():"
msgstr ""
"Les erreurs supplémentaires suivantes peuvent se produire avec "
"B<scandirat>()."

#. type: Plain text
#: build/C/man3/scandir.3:44
msgid "I<dirfd> is not a valid file descriptor."
msgstr "I<dirfd> n'est pas un descripteur de fichier valable."

#. type: Plain text
#: build/C/man3/scandir.3:46
msgid ""
"I<dirp> is a relative path and I<dirfd> is a file descriptor referring to a "
"file other than a directory."
msgstr ""
"I<dirp> est un chemin relatif et I<dirfd> est un descripteur de fichier "
"référençant un fichier qui n'est pas un répertoire."

#. type: Plain text
#: build/C/man3/scandir.3:48
msgid "B<versionsort>()  was added to glibc in version 2.1."
msgstr "B<versionsort>() a été ajoutée à la glibc dans la version 2.1."

#. type: Plain text
#: build/C/man3/scandir.3:49
msgid "B<scandirat>()  was added to glibc in version 2.15."
msgstr "B<scandirat>() a été ajoutée à la glibc dans la version 2.15."

#. type: Plain text
#: build/C/man3/scandir.3:51
msgid "B<alphasort>(), B<scandir>(): 4.3BSD, POSIX.1-2008."
msgstr "B<alphasort>(), B<scandir>() : BSD 4.3, POSIX.1-2008."

#.  .LP
#.  The functions
#.  .BR scandir ()
#.  and
#.  .BR alphasort ()
#.  are from 4.3BSD, and have been available under Linux since libc4.
#.  Libc4 and libc5 use the more precise prototype
#.  .sp
#.  .nf
#.     int alphasort(const struct dirent ** a,
#.                   const struct dirent **b);
#.  .fi
#.  .sp
#.  but glibc 2.0 returns to the imprecise BSD prototype.
#. type: Plain text
#: build/C/man3/scandir.3:52
msgid "B<versionsort>()  and B<scandirat>()  are GNU extensions."
msgstr "B<versionsort>() et B<scandirat>() sont des extensions GNU."

#. type: Plain text
#: build/C/man3/scandir.3:54
msgid ""
"Since glibc 2.1, B<alphasort>()  calls B<strcoll>(3); earlier it used "
"B<strcmp>(3)."
msgstr ""
"Depuis la glibc 2.1, la fonction B<alphasort>() invoque B<strcoll>(3). Dans "
"les versions précédentes, elle appelait B<strcmp>(3)."

#. type: Plain text
#: build/C/man3/scandir.3:56
#, no-wrap
msgid ""
"#define _SVID_SOURCE\n"
"/* print files in current directory in reverse order */\n"
"#include E<lt>dirent.hE<gt>\n"
msgstr ""
"#define _SVID_SOURCE\n"
"/* Afficher le contenu du répertoire en ordre inverse */\n"
"#include E<lt>dirent.hE<gt>\n"

#. type: Plain text
#: build/C/man3/scandir.3:57
#, no-wrap
msgid ""
"int\n"
"main(void)\n"
"{\n"
"    struct dirent **namelist;\n"
"    int n;\n"
msgstr ""
"int\n"
"main(void)\n"
"{\n"
"    struct dirent **namelist;\n"
"    int n;\n"

#. type: Plain text
#: build/C/man3/scandir.3:58
#, no-wrap
msgid ""
"    n = scandir(\".\", &namelist, NULL, alphasort);\n"
"    if (n E<lt> 0)\n"
"        perror(\"scandir\");\n"
"    else {\n"
"        while (n--) {\n"
"            printf(\"%s\\en\", namelist[n]-E<gt>d_name);\n"
"            free(namelist[n]);\n"
"        }\n"
"        free(namelist);\n"
"    }\n"
"}\n"
msgstr ""
"    n = scandir(\".\", &namelist, NULL, alphasort);\n"
"    if (n E<lt> 0)\n"
"        perror(\"scandir\");\n"
"    else {\n"
"        while (n--) {\n"
"            printf(\"%s\\en\", namelist[n]-E<gt>d_name);\n"
"            free (namelist [n]);\n"
"        }\n"
"        free (namelist);\n"
"    }\n"
"}\n"

#. type: Plain text
#: build/C/man3/scandir.3:60
msgid ""
"B<closedir>(3), B<fnmatch>(3), B<opendir>(3), B<readdir>(3), "
"B<rewinddir>(3), B<seekdir>(3), B<strcmp>(3), B<strcoll>(3), "
"B<strverscmp>(3), B<telldir>(3)"
msgstr ""
"B<closedir>(3), B<fnmatch>(3), B<opendir>(3), B<readdir>(3), "
"B<rewinddir>(3), B<seekdir>(3), B<strcmp>(3), B<strcoll>(3), "
"B<strverscmp>(3), B<telldir>(3)"

#. type: TH
#: build/C/man3/seekdir.3:1
#, no-wrap
msgid "SEEKDIR"
msgstr "SEEKDIR"

#. type: TH
#: build/C/man3/seekdir.3:2
#, no-wrap
msgid "2013-09-09"
msgstr "9 septembre 2013"

#. type: Plain text
#: build/C/man3/seekdir.3:5
msgid ""
"seekdir - set the position of the next readdir() call in the directory "
"stream."
msgstr ""
"seekdir - Positionner le pointeur de flux répertoire pour le prochain appel "
"readdir()"

#. type: Plain text
#: build/C/man3/seekdir.3:8
#, no-wrap
msgid "B<void seekdir(DIR *>I<dirp>B<, long >I<loc>B<);>\n"
msgstr "B<void seekdir(DIR *>I<dirp>B<, long >I<loc>B<);>\n"

#. type: Plain text
#: build/C/man3/seekdir.3:10
msgid "B<seekdir>(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE"
msgstr "B<seekdir>() : _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE"

#. type: Plain text
#: build/C/man3/seekdir.3:12
msgid ""
"The B<seekdir>()  function sets the location in the directory stream from "
"which the next B<readdir>(2)  call will start.  The I<loc> argument should "
"be a value returned by a previous call to B<telldir>(3)."
msgstr ""
"La fonction B<seekdir>() définit la position du pointeur de flux répertoire "
"d'où le prochain appel B<readdir>(2) démarrera. L'argument I<loc> devrait "
"être une valeur renvoyée par un appel précédent de B<telldir>(3)."

#. type: Plain text
#: build/C/man3/seekdir.3:14
msgid "The B<seekdir>()  function returns no value."
msgstr "La fonction B<seekdir>() ne renvoie pas de valeur."

#. type: Plain text
#: build/C/man3/seekdir.3:17
msgid "The B<seekdir>()  function is thread-safe."
msgstr "La fonction B<seekdir>() est sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/seekdir.3:19 build/C/man3/telldir.3:22
msgid "4.3BSD, POSIX.1-2001."
msgstr "BSD\\ 4.3, POSIX.1-2001."

#. type: Plain text
#: build/C/man3/seekdir.3:21
msgid ""
"In glibc up to version 2.1.1, the type of the I<loc> argument was I<off_t>.  "
"POSIX.1-2001 specifies I<long>, and this is the type used since glibc "
"2.1.2.  See B<telldir>(3)  for information on why you should be careful in "
"making any assumptions about the value in this argument."
msgstr ""
"Dans la glibc jusqu'à la version 2.1.1, le type du paramètre I<loc> était "
"I<off_t>. POSIX.1-2001 spécifie un I<long>, qui est aussi le type utilisé "
"depuis la glibc 2.1.2. Consultez B<telldir>(3) pour des renseignements sur "
"les raisons de devoir éviter de faire toutes supposition sur la valeur de "
"cet argument."

#. type: Plain text
#: build/C/man3/seekdir.3:23
msgid ""
"B<lseek>(2), B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<telldir>(3)"
msgstr ""
"B<lseek>(2), B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<telldir>(3)"

#. type: TH
#: build/C/man3/telldir.3:1
#, no-wrap
msgid "TELLDIR"
msgstr "TELLDIR"

#. type: Plain text
#: build/C/man3/telldir.3:5
msgid "telldir - return current location in directory stream"
msgstr "telldir - Obtenir la position actuelle dans un flux répertoire"

#. type: Plain text
#: build/C/man3/telldir.3:8
#, no-wrap
msgid "B<long telldir(DIR *>I<dirp>B<);>\n"
msgstr "B<long telldir(DIR *>I<dirp>B<);>\n"

#. type: Plain text
#: build/C/man3/telldir.3:10
msgid "B<telldir>(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE"
msgstr "B<telldir>() : _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE"

#. type: Plain text
#: build/C/man3/telldir.3:12
msgid ""
"The B<telldir>()  function returns the current location associated with the "
"directory stream I<dirp>."
msgstr ""
"La fonction B<telldir>() renvoie la position actuelle du pointeur d'un flux "
"répertoire I<dirp>."

#. type: Plain text
#: build/C/man3/telldir.3:14
msgid ""
"On success, the B<telldir>()  function returns the current location in the "
"directory stream.  On error, -1 is returned, and I<errno> is set "
"appropriately."
msgstr ""
"La fonction B<telldir>() renvoie l'emplacement actuel dans le flux "
"répertoire. En cas d'erreur, -1 est renvoyé, et I<errno> contient le code "
"d'erreur."

#. type: Plain text
#: build/C/man3/telldir.3:20
msgid "The B<telldir>()  function is thread-safe."
msgstr "La fonction B<telldir>() est sûre dans un contexte multithread."

#. type: Plain text
#: build/C/man3/telldir.3:24
msgid ""
"In glibc up to version 2.1.1, the return type of B<telldir>()  was "
"I<off_t>.  POSIX.1-2001 specifies I<long>, and this is the type used since "
"glibc 2.1.2."
msgstr ""
"Dans la glibc avant la version 2.1.1, le type de retour de B<telldir>() "
"était I<off_t>. POSIX.1-2001 spécifie un I<long>, ce qui est également le "
"type utilisé depuis la glibc 2.1.2."

#.  https://lwn.net/Articles/544298/
#. type: Plain text
#: build/C/man3/telldir.3:25
msgid ""
"In early filesystems, the value returned by B<telldir>()  was a simple file "
"offset within a directory.  Modern filesystems use tree or hash structures, "
"rather than flat tables, to represent directories.  On such filesystems, the "
"value returned by B<telldir>()  (and used internally by B<readdir>(3))  is a "
"\"cookie\" that is used by the implementation to derive a position within a "
"directory.  Application programs should treat this strictly as an opaque "
"value, making I<no> assumptions about its contents."
msgstr ""
"Dans les premiers systèmes de fichiers, la valeur renvoyée par B<telldir>() "
"était une simple position de fichier à l'intérieur d'un répertoire. Les "
"systèmes de fichiers modernes utilisent des structures d'arbres ou de "
"hachage, plutôt que des tableaux plats, pour représenter des répertoires. "
"Sur ce genre de systèmes de fichiers, la valeur renvoyée par B<telldir>() "
"(et utilisée en interne par B<readdir>(3)) est un « cookie » utilisé par "
"l'implémentation pour dériver une position à l'intérieur d'un répertoire. "
"Les programmes des applications devraient traiter cela strictement comme une "
"valeur opaque, sans faire B<aucune> supposition sur son contenu."

#. type: Plain text
#: build/C/man3/telldir.3:27
msgid ""
"B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3)"
msgstr ""
"B<closedir>(3), B<opendir>(3), B<readdir>(3), B<rewinddir>(3), "
"B<scandir>(3), B<seekdir>(3)"

#~ msgid "B<int alphasort(const void *>I<a>B<, const void *>I<b>B<);>\n"
#~ msgstr "B<int alphasort(const void *>I<a>B<, const void *>I<b>B<);>\n"

#~ msgid ""
#~ "B<alphasort>()  and B<scandir>()  are specified in POSIX.1-2008, and are "
#~ "widely available.  B<versionsort>()  is a GNU extension."
#~ msgstr ""
#~ "B<alphasort>() et B<scandir>() sont spécifiées dans POSIX.1-2008 et sont "
#~ "disponibles largement. B<versionsort>() est une extension GNU."

#~ msgid ""
#~ "The functions B<scandir>()  and B<alphasort>()  are from 4.3BSD, and have "
#~ "been available under Linux since libc4.  Libc4 and libc5 use the more "
#~ "precise prototype"
#~ msgstr ""
#~ "Les fonctions B<scandir>() et B<alphasort>() proviennent de BSD\\ 4.3 et "
#~ "sont disponibles sous Linux depuis libc4. Les bibliothèques libc4 et "
#~ "libc5 utilisent le prototype plus précis"

#~ msgid "but glibc 2.0 returns to the imprecise BSD prototype."
#~ msgstr "mais la glibc 2.0 est revenue au prototype BSD imprécis."

#~ msgid ""
#~ "The function B<versionsort>()  is a GNU extension, available since glibc "
#~ "2.1."
#~ msgstr ""
#~ "La fonction B<versionsort>() est une extension GNU, disponible depuis la "
#~ "glibc 2.1."

#~ msgid "SCANDIRAT"
#~ msgstr "SCANDIRAT"

#~ msgid "scandirat - scan a directory relative to a directory file descriptor"
#~ msgstr ""
#~ "scandirat - Parcourir un répertoire relatif au descripteur de fichier "
#~ "d'un répertoire"

#~ msgid "B<#define _GNU_SOURCE>         /* See feature_test_macros(7) */\n"
#~ msgstr ""
#~ "B<#define _GNU_SOURCE>         /* Consultez feature_test_macros(7) */\n"

#~ msgid ""
#~ "On success, B<scandirat>()  returns the number of directory entries "
#~ "selected.  On error, -1 is returned and I<errno> is set to indicate the "
#~ "error."
#~ msgstr ""
#~ "B<scandirat> renvoie le nombre d'entrées de répertoires sélectionnées "
#~ "s'il réussit, ou -1 s'il échoue, auquel cas I<errno> contient le code "
#~ "d'erreur."

#~ msgid ""
#~ "The same errors that occur for B<scandir>(3)  can also occur for "
#~ "B<scandirat>().  The following additional errors can occur for "
#~ "B<scandirat>():"
#~ msgstr ""
#~ "Les mêmes erreurs que pour B<scandir>(3) peuvent aussi se produire avec "
#~ "B<scandirat>(). Les erreurs supplémentaires suivantes peuvent se produire "
#~ "avec B<scandirat>()."

#~ msgid "This function is a GNU extension."
#~ msgstr "Cette fonction est une extension GNU."

#~ msgid "B<openat>(2), B<scandir>(3), B<path_resolution>(7)"
#~ msgstr "B<openat>(2), B<scandir>(3), B<path_resolution>(7)"

#~ msgid ""
#~ "The B<scandir>()  function returns the number of directory entries "
#~ "selected or -1 if an error occurs."
#~ msgstr ""
#~ "La fonction B<scandir>() renvoie le nombre d'entrées de répertoire "
#~ "sélectionnées ou -1 en cas d'erreur."

#~ msgid ""
#~ "len = offsetof(struct dirent, d_name) +\n"
#~ "          pathconf(dirpath, _PC_NAME_MAX) + 1\n"
#~ "entryp = malloc(len);\n"
#~ msgstr ""
#~ "len = offsetof(struct dirent, d_name) +\n"
#~ "          pathconf(dirpath, _PC_NAME_MAX) + 1\n"
#~ "entryp = malloc(len);\n"
